%global momorel 19
%global ver      2.8
%global prefix   /usr

Summary: VIC - the video conferencing tool
Name: vic
Version: %{ver}
Release: %{momorel}m
Group: User Interface/X
License: BSD and see "license.terms"
Source0: http://www-mice.cs.ucl.ac.uk/multimedia/software/vic/2.8ucl1.1.5/vic-2.8ucl1.1.5.tar.gz
Patch: vic-string.patch
#Patch2: vic-gcc296.patch
Patch3: vic-manfix.patch
Patch5: vic-egcs.patch
#Patch6: config_unix.h.ppc.patch
Patch7: vic-NTSC.patch
Patch8: vic-2.8ucl-1.1.3-getopt.patch
Patch9: vic-2.8ucl1.1.5-gcc34.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: i386 i486 i586 i686 athlon ppc
NoSource: 0
#Requires: 
BuildPrereq: gcc-c++ >= 3.4.1-1m

%description
The UCB/LBNL video tool, vic, is a real-time, multimedia application
for video conferencing over the Internet.
Vic was designed with a flexible and extensible architecture to support
heterogeneous environments and configurations.  For example, in high
bandwidth settings, multi-megabit full-motion JPEG streams can be
sourced using hardware assisted compression, while in low bandwidth
environments like the Internet, aggressive low bit-rate coding can
be carried out in software.

%prep
mkdir -p %{buildroot}%{prefix}/bin
mkdir -p %{buildroot}%{prefix}/man/man1

%setup -q -n vic-2.8ucl1.1.5
%patch -p1
# %patch2 -p1
%patch3 -p1
%patch5 -p1
# %patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
for dir in common tcl-8.0/unix tk-8.0/unix vic
do
  pushd $dir
  ./configure
  if [ $dir = "vic" ] ; then
    mv -f Makefile Makefile.src
    sed -e 's/video\/grabber-qcam.cpp//' Makefile.src > Makefile
  fi
%ifarch ppc
  if [ $dir = "vic" ] ; then
    make STATIC=""
  else
    make
  fi
%else
  make
%endif
  popd 
done

%install
mkdir -p %{buildroot}%{_mandir}/man1
cd vic/
install -m 755 vic %{buildroot}%{prefix}/bin/
install -m 644 vic.1 %{buildroot}%{_mandir}/man1/
install -m 755 histtolut %{buildroot}%{prefix}/bin/

%clean
rm -rf %{buildroot} 

%files
#%doc %attr(-,root,root) AUTHORS BUGS CHANGES COPYING INSTALL README TODO
%attr(-,root,root) %{prefix}/bin/vic
%attr(-,root,root) %{prefix}/bin/histtolut
%attr(-,root,root) %{_mandir}/man1/vic.1*

%changelog
* Mon Feb 28 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.8-19m)
- ppc build fix.

* Sun Aug 22 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.8-18m)
- update to 2.8ucl1.1.5 (rebuild against gcc-c++-3.4.1)
- add BuildPrereq: gcc-c++
- remove patch1,4
- revise patch5
- add gcc34 patch9

* Thu Jan  8 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.8-17m)
- revise Patch8(vic-2.8ucl-1.1.3-getopt.patch)

* Thu Jan  8 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.8-16m)
- fix compile problem

* Thu Oct 30 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.8-14m)
- add NTSC patch

* Sat Oct 25 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8-13m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Apr 18 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.8-12k)
- fixed for ppc

* Thu Mar 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.8-8k)
- rebuild against glibc-2.2.2 and add vic.glibc222.time.patch

* Wed Sep 20 2000 Toru Hoshina <t@kondara.org>
- could not built on Alpha.

* Sat Feb 12 2000 Toru Hoshina <t@kondara.org>
- revised a spec file first release in order to be build without su privilege
- add a patch for gcc 2.95.2.

* Fri Feb 10 2000 Kyoichi Ozaki <k@afromania.org>
- first release
